Mise à jour 1.18 vers 1.19 => error : URL was not normalized :(

bradici
Messages : 5
Inscription : lun. avr. 23, 2018 11:35 am

Mise à jour 1.18 vers 1.19 => error : URL was not normalized :(

Message par bradici » mar. mars 05, 2019 9:50 am

Bonjour,

En voulant passer de la version 1.18.4 à 1.19.1, squashtm ne fonctionne quasiment plus:

message d'erreur sur l'IHM et message suivant dans les logs:

SquashTM - 22311 ERROR [http-nio-8080-exec-4] [] --- org.apache.catalina.core.ContainerBase.[Tomcat].[localhost].[/squash].[dispatcherServlet]: Servlet.service() for servlet [dispatcherServlet] in context with path [/squash] threw exception
org.springframework.security.web.firewall.RequestRejectedException: The request was rejected because the URL was not normalized.
at org.springframework.security.web.firewall.StrictHttpFirewall.getFirewalledRequest(StrictHttpFirewall.java:248) ~[spring-security-web-5.0.6.RELEASE.jar!/:5.0.6.RELEASE]
[...]


Un peu d'aide svp :S

merci d'avance.

ppuiseux
Messages : 36
Inscription : ven. mars 30, 2018 12:53 pm

Mise à jour 1.18 vers 1.19 => error : URL was not normalized :(

Message par ppuiseux » mar. mars 05, 2019 7:31 pm

Bonsoir,
Avez-vous suivi toute la procédure indiquée ici: https://sites.google.com/a/henix.fr/wiki-squash-tm/installation-and-exploitation-guide/2---installation-of-squash-tm/6---upgrade-squash-tm ?
Il y a des instructions spécifiques à cette montée de version, notamment concernant la suppression des luceneindexes.
Par ailleurs, il faut toujours vider le cache de vos navigateurs lors d'une montée de version.
Cordialement,

bradici
Messages : 5
Inscription : lun. avr. 23, 2018 11:35 am

[RESOLU] Mise à jour 1.18 vers 1.19 => error : URL was not normalized :(

Message par bradici » mer. mars 06, 2019 11:11 am

[quote="Pierre P" post=7825]Bonsoir,
Avez-vous suivi toute la procédure indiquée ici: https://sites.google.com/a/henix.fr/wiki-squash-tm/installation-and-exploitation-guide/2---installation-of-squash-tm/6---upgrade-squash-tm ?
Il y a des instructions spécifiques à cette montée de version, notamment concernant la suppression des luceneindexes.
Par ailleurs, il faut toujours vider le cache de vos navigateurs lors d'une montée de version.
Cordialement,


j'avais bien fait la partie standard (conf, cache, index ..) mais je n'avais pas pensé à regarder si il y avait des étapes spécifiques pour cette migration ...

Merci beaucoup et désolé de ne pas avoir creusé plus :S